@echo off

REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM 
REM
REM %%VER Batch File to put SMTSTART in CONFIG.SYS for IBM LAN Server (v1.2a)
REM
REM     This batch file updates the CONFIG.SYS file as required to run
REM     the SMt software. This batch file assumes default installation
REM     of the LAN Server software. Specifically, SMTSTART.EXE must be
REM     located in the C:\IBMCOM directory.
REM

REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM 
REM
REM     Modify the CONFIG.SYS file. If the LANMAN section is not found
REM     then report an error and return.

REM
REM     Check for the existance of the CONFIG.SYS file.
REM

IF EXIST c:\config.sys GOTO FoundAutoexec

ECHO The "C:\CONFIG.SYS" file is not present. The SMT drivers for this
ECHO system must be installed manually. Please refer to the NDIS.TXT file 
ECHO in the README directory for more information.
TYPE UTILITY\NDIS\BLANK.LIN
goto End

:FoundAutoexec

IF EXIST C:\IBMCOM\SMTSTART.EXE GOTO FoundDrivers

:NoDrivers

ECHO The SMTSTART.EXE program is not present in the LAN Support Program 
ECHO directory (C:\IBMCOM). If the drivers have not been imported by the 
ECHO LAPS program, do so now and then re-run this program. If LAPS is not
ECHO being used, or if it has not been installed in the default location,
ECHO you must update CONFIG.SYS manually. Refer to the NDIS.TXT file in 
ECHO the README directory for more information.
TYPE UTILITY\NDIS\BLANK.LIN
GOTO End

:FoundDrivers

ECHO Updating C:\CONFIG.SYS

REM
REM     Make a working file and delete any current references to 
REM     the SMT files.
REM


copy c:\config.sys tmp.tmp > nul
if errorlevel 1 goto errmsg
UTILITY\CSED /f tmp.tmp /d "*SMTSTART.EXE*"
echo RUN=C:\IBMCOM\SMTSTART.EXE >> tmp.tmp
if errorlevel 1 goto errmsg

copy c:\config.sys c:\config.old > nul
if errorlevel 1 goto errmsg
copy tmp.tmp c:\config.sys > nul
if errorlevel 1 goto errmsg
del tmp.tmp > nul

ECHO CONFIG.SYS has been updated. An original copy has been named CONFIG.OLD
TYPE UTILITY\NDIS\BLANK.LIN
goto end

:errmsg
del tmp.tmp > nul

:nofile
echo *** Error:  CONFIG.SYS could not be updated! ***
echo Make sure that you have access rights to the file and that LAN Server
echo has been properly instaled.
TYPE UTILITY\NDIS\BLANK.LIN

:end
echo Strike any key to return to the NDIS installation menu.
pause > nul:
