@echo off

REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM 
REM
REM %%VER Batch File to put SMT drivers in CONFIG.SYS for OS/2 (v1.2a)
REM
REM     This batch file updates the CONFIG.SYS file as required to run
REM     the SMt software. This batch file assumes default installation
REM     of the LAN Manager software. Specifically, the SMT drivers must
REM     be located in the C:\LANMAN\DRIVERS\FDDI\FDDILINK directory.
REM

REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM 
REM
REM     Modify the CONFIG.SYS file. If the LANMAN section is not found
REM     then report an error and return.

REM
REM     Check for the existance of the CONFIG.SYS file.
REM

IF EXIST c:\config.sys GOTO FoundAutoexec

ECHO The "C:\CONFIG.SYS" file is not present. The SMT drivers for this
ECHO system must be installed manually. Please refer to the NDIS.TXT file 
ECHO in the README directory for more information.
TYPE UTILITY\NDIS\BLANK.LIN
goto End

:FoundAutoexec

IF NOT EXIST C:\LANMAN\DRIVERS\FDDI\FDDILINK\SMTOS2.SYS GOTO NoDrivers
IF EXIST C:\LANMAN\DRIVERS\FDDI\FDDILINK\SMTSTART.EXE GOTO FoundDrivers

:NoDrivers

ECHO The SMT drivers (SMTOS2.SYS and SMTSTART.EXE) are not present in the LAN
ECHO Manager directory (C:\LANMAN\DRIVERS\FDDI\FDDILINK). If the drivers have not
ECHO been imported by the LAN Manager Setup program, do so now and then re-run
ECHO this program. If LAN Manager is not being used, or if it has not been
ECHO installed in the default location, you must update CONFIG.SYS manually. 
ECHO Refer to the NDIS.TXT file in the README directory for more information.
TYPE UTILITY\NDIS\BLANK.LIN
GOTO End

:FoundDrivers

ECHO Updating C:\CONFIG.SYS

REM
REM     Make a working file and delete any current references to 
REM     the SMT files.
REM


copy c:\config.sys   tmp.tmp > nul
if errorlevel 1 goto errmsg
UTILITY\CSED /f tmp.tmp /d "*SMTOS2.SYS*"
UTILITY\CSED /f tmp.tmp /d "*SMTSTART.EXE*"
UTILITY\CSED /f tmp.tmp /b "*=== LANMAN*" "DEVICE=C:\LANMAN\DRIVERS\FDDI\FDDILINK\SMTOS2.SYS"
if errorlevel 1 goto errmsg
echo RUN=C:\LANMAN\DRIVERS\FDDI\FDDILINK\SMTSTART.EXE >> tmp.tmp
if errorlevel 1 goto errmsg

copy c:\config.sys   c:\config.old   > nul
if errorlevel 1 goto errmsg
copy tmp.tmp c:\config.sys   > nul
if errorlevel 1 goto errmsg
del tmp.tmp > nul

ECHO CONFIG.SYS has been updated. An original copy has been named CONFIG.OLD
TYPE UTILITY\NDIS\BLANK.LIN
goto end

:errmsg
del tmp.tmp > nul

:nofile
echo *** Error:  CONFIG.SYS could not be updated! ***
echo Make sure that you have access rights to the file and that LAN Manager
echo has been properly instaled.
TYPE UTILITY\NDIS\BLANK.LIN

:end
echo Strike any key to return to the NDIS installation menu.
pause > nul:
