@echo off

REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM 
REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM REM 
REM
REM %%VER Batch File to put SMT drivers in AUTOEXEC.BAT (v1.2a)
REM
REM     This batch file updates AUTOEXEC.BAT for Windows For Workgroups
REM     as required to run the SMT software. This batch file assumes 
REM     default installations for Workgroups. Specifically, the SMT drivers 
REM     (and Windows) must be located in the C:\WINDOWS directory.
REM


REM
REM     Check for the existance of the AUTOEXEC.BAT file.
REM

IF EXIST c:\autoexec.bat GOTO FoundAutoexec

ECHO The "C:\AUTOEXEC.BAT" file is not present. The SMT drivers for this
ECHO system must be installed manually. Please refer to the NDIS.TXT file 
ECHO in the README directory for more information.
TYPE UTILITY\NDIS\BLANK.LIN
goto End

:FoundAutoexec

IF NOT EXIST C:\WINDOWS\SMT.EXE GOTO NoDrivers
IF EXIST C:\WINDOWS\RSMT.COM GOTO FoundDrivers

:NoDrivers

ECHO The SMT drivers (SMT.EXE and RSMT.COM) are not present in the Windows For
ECHO Workgroups directory (C:\WINDOWS). If the drivers have not been imported 
ECHO Windows for Workgroups, do so now and then re-run this program. If Windows
ECHO for Workgroups has not been installed in the default location, you must 
ECHO update AUTOEXEC.BAT manually. Refer to the NDIS.TXT file in the README 
ECHO directory for more information.
TYPE UTILITY\NDIS\BLANK.LIN
GOTO End

:FoundDrivers

ECHO Updating C:\AUTOEXEC.BAT

REM
REM     Make a working file and delete any current references to 
REM     the SMT files.
REM


COPY c:\autoexec.bat tmp.tmp > NUL:
IF ERRORLEVEL 1 GOTO DOSError
UTILITY\CSED /f tmp.tmp /d "*RSMT*"
UTILITY\CSED /f tmp.tmp /d "*SMT*"

REM
REM     Put in calls to the SMT drivers.
REM

UTILITY\CSED /f tmp.tmp /b "*\WINDOWS\NET*" "C:\WINDOWS\RSMT"
IF ERRORLEVEL 1 GOTO DOSError
UTILITY\CSED /f tmp.tmp /b "*\WINDOWS\NET*" "C:\WINDOWS\SMT"
IF ERRORLEVEL 1 GOTO DOSError

REM
REM     Move the files around so that the old AUTOEXEC.BAT file is named
REM     AUTOEXEC.OLD. 
REM

COPY c:\autoexec.bat c:\autoexec.old > NUL:
IF ERRORLEVEL 1 GOTO DOSError
COPY tmp.tmp c:\autoexec.bat > NUL:
IF ERRORLEVEL 1 GOTO DOSError
del tmp.tmp > NUL:

ECHO AUTOEXEC.BAT has been updated. An original copy has been named AUTOEXEC.OLD
TYPE UTILITY\NDIS\BLANK.LIN
GOTO End

REM
REM     This section handles errors while updating AUTOEXEC.BAT
REM

:DOSError

del tmp.tmp > nul

ECHO *** Error:  AUTOEXEC.BAT could not be updated! ***
ECHO Make sure that you have access rights to the file and that Windows
ECHO for Workgroups is properly installed.
TYPE UTILITY\NDIS\BLANK.LIN
GOTO End


:End

ECHO Strike any key to return to the NDIS installation menu.
pause > nul:

